org.eclnt.editor.tools

## Class ExpressionNode

- java.lang.Object
- - org.eclnt.editor.tools.ExpressionNode

-     public abstract class ExpressionNode
      extends java.lang.Object

  Base class for nodes shown in the Expression Explorer tool. You may override this class any time to attach further information to the node.
  You also may override in order to change the image and text of the node.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<ExpressionNode>` | `m_childNodes`
    `protected ExpressionNodeManager` | `m_manager`
    `protected ExpressionNode` | `m_parentNode`
    `static int` | `NODETYPE_ACTIONLISTENERLEAVE`
    `static int` | `NODETYPE_EXPRESSIONFOLDER`
    `static int` | `NODETYPE_PROPERTYLEAVE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpressionNode(ExpressionNodeManager manager, ExpressionNode parent)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ExpressionNode>` | `getChildNodes()`
    `abstract java.lang.String` | `getExpression()` The full expression that this node represents.
    `java.lang.String` | `getImage()` You may specify a special image for this node - otherwise default images are used.
    `abstract int` | `getNodeType()` Return a value defined by NODETYPE_* constants.
    `ExpressionNode` | `getParentNode()`
    `abstract java.lang.String` | `getText()` The text that is shown for this node.
    `abstract void` | `loadChildNodes()` This method is called prior to calling `getChildNodes()` by the Expression Explorer. you need to create the childe node instances and add them to `m_childNodes`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NODETYPE_EXPRESSIONFOLDER

          public static int NODETYPE_EXPRESSIONFOLDER

    - #### NODETYPE_PROPERTYLEAVE

          public static int NODETYPE_PROPERTYLEAVE

    - #### NODETYPE_ACTIONLISTENERLEAVE

          public static int NODETYPE_ACTIONLISTENERLEAVE

    - #### m_manager

          protected ExpressionNodeManager m_manager

    - #### m_parentNode

          protected ExpressionNode m_parentNode

    - #### m_childNodes

          protected java.util.List<ExpressionNode> m_childNodes

  - ### Constructor Detail

    - #### ExpressionNode

          public ExpressionNode(ExpressionNodeManager manager,
                                ExpressionNode parent)

  - ### Method Detail

    - #### getParentNode

          public ExpressionNode getParentNode()

    - #### getChildNodes

          public java.util.List<ExpressionNode> getChildNodes()

    - #### getNodeType

          public abstract int getNodeType()

      Return a value defined by NODETYPE_* constants.

    - #### getExpression

          public abstract java.lang.String getExpression()

      The full expression that this node represents. E.g. "#{aa.bb.cc}" or ".{aa.bb.cc}".

    - #### getText

          public abstract java.lang.String getText()

      The text that is shown for this node.

    - #### loadChildNodes

          public abstract void loadChildNodes()

      This method is called prior to calling `getChildNodes()` by the Expression Explorer. you need to create the childe node instances and add them to `m_childNodes`. This method is called when the user toggles a node - at this point of time the next level of nodes is read.

    - #### getImage

          public java.lang.String getImage()

      You may specify a special image for this node - otherwise default images are used. Pay attention: the image must refer to the editor's web application - this is the one where images are loaded from by the tool environment. A valid image name e.g. is "/editor/images/icons/lightning.png". Check the corresponding directory of the editor web application in order to see what images are available.

Copyright © CaptainCasa Gmbh. All Rights Reserved.